<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>

    <!--Vista de etiquetas-->

        <record id="operaciones_lead_tag_form" model="ir.ui.view">
            <field name="name">operaciones_lead_tag.tag.form</field>
            <field name="model">operaciones_lead_tag</field>
            <field name="arch" type="xml">
                <form string="Etiquetas de operaciones">
                    <group>
                        <field name="name"/>
                        <field name="color" groups="base.group_no_one"/>
                    </group>
                </form>
            </field>
        </record>

        <record id="operaciones_lead_tag_tree" model="ir.ui.view">
            <field name="name">operaciones_lead_tag.tag.tree</field>
            <field name="model">operaciones_lead_tag</field>
            <field name="arch" type="xml">
                <tree string="Etiquetas de operaciones">
                    <field name="name"/>
                </tree>
            </field>
        </record>

        <record id="operaciones_lead_tag_action" model="ir.actions.act_window">
            <field name="name">Etiquetas O</field>
            <field name="res_model">operaciones_lead_tag</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="operaciones_lead_tag_tree"/>
            <field name="help" type="html">
              <p class="o_view_nocontent_smiling_face">
                Cree una nueva etiqueta para sus oportunidades
              </p><p>
                Cree etiquetas que se adapten a su negocio (estructura de producto, tipo de ventas, etc.) para administrar y abordar mejor sus oportunidades.
              </p>
            </field>
        </record>

   

    <!--Vista Kanban-->
   
    <record id="crm_case_kanban_view_leads" model="ir.ui.view">
            <field name="name">crm_flujo_nuevo2.kanban.lead</field>
            <field name="model">crm_flujo_nuevo_operaciones</field>
            <field name="priority" eval="1"/>
            <field name="arch" type="xml">
                <kanban class="o_kanban_mobile" archivable="false"  default_group_by="stage_id">
                    <field name="name"/>
	                <field name="email_from"/>
                    <progressbar field="activity_state" colors='{"planned": "success", "today": "warning", "overdue": "danger"}' sum_field="planned_revenue" help="This bar allows to filter the opportunities based on scheduled activities."/>
                    <templates>
                    <t t-name="kanban-box">
                            <div t-attf-class="oe_kanban_global_click">
                                <div class="o_dropdown_kanban dropdown">
                                    <a class="dropdown-toggle o-no-caret btn" role="button" data-toggle="dropdown" data-display="static" href="#" aria-label="Dropdown menu" title="Dropdown menu">
                                        <span class="fa fa-ellipsis-v"/>
                                    </a>
                                    <div class="dropdown-menu" role="menu">
                                        <t t-if="widget.editable"><a role="menuitem" type="edit" class="dropdown-item">Edit</a></t>
                                        <t t-if="widget.deletable"><a role="menuitem" type="delete" class="dropdown-item">Delete</a></t>
                                        <ul class="oe_kanban_colorpicker" data-field="color"/>
                                    </div>
                                </div>

                                <div class="oe_kanban_content">
                                    <div>
                                        <strong class="o_kanban_record_title"><field name="name"/></strong>
                                    </div>
                                    <div>
                                        <field name="tag_ids" widget="many2many_tags" options="{'color_field': 'color'}"/>
                                    </div>
                                    <!--Icono que muestra las actividades -->
                                    <div class="o_kanban_record_bottom">
                                         <div class="oe_kanban_bottom_left">
                                             
                                            <field name="priority" widget="priority"/>
                                            
                                            <field name="activity_ids" widget="kanban_activity"/>
                                        </div>
                                    
                                    </div>
                                       
                                    <div class="oe_clear"/>
                                </div>    
                            <!--FINAL-->    
                            </div>
                    </t>
                    </templates>
                </kanban>
            </field>
    </record>

    <!--Vista Search-->
    <record id="view_crm_crm_flujo_nuevo_filter" model="ir.ui.view">
            <field name="name">crm_flujo_nuevo_operaciones.search.lead</field>
            <field name="model">crm_flujo_nuevo_operaciones</field>
            <field name="arch" type="xml">
                <search string="Busqueda Operaciones">  
                    <field name="name"/>
                    <field name="active"/>
                    <separator/>
                    <filter string="Actividades a realizar" name="activities_my"
                            domain="[('activity_ids.user_id', '=', uid)]"/>
                    <separator/>
                    <filter string="Actividades tardias" name="activities_overdue"
                            domain="[('activity_ids.date_deadline', '&lt;', context_today().strftime('%Y-%m-%d'))]"
                            help="Show all opportunities for which the next action date is before today"/>
                    <filter string="Actividades de Hoy" name="activities_today"
                            domain="[('activity_ids.date_deadline', '=', context_today().strftime('%Y-%m-%d'))]"/>
                    <filter string="Actividades Futuras" name="activities_upcoming_all"
                        domain="[('activity_ids.date_deadline', '&gt;', context_today().strftime('%Y-%m-%d'))
                        ]"/>
                    <group expand="0" string="Group By">
                        <filter string="Empleado" name="user_id" context="{'group_by':'user_id'}"/>
                        <filter name="stage" string="Etapas" />
                    </group>
                </search>
            </field>
    </record>

    <!--Vista Tree-->
    <record id="data_solic_flujo_operaciones_tree" model="ir.ui.view">
        <field name="name">crm.fujo.operaciones.tree</field>
        <field name="model">crm_flujo_nuevo_operaciones</field>
        <field name="arch" type="xml"   >
            <tree string="Opportunities">
                    <field name="name" string="Oportunidades"/>
                    <field name="active"/>
                    <field name="date_action_last" />
                    <field name="description"/>
                    <field name="email_from"/>
                    <field name="priority" invisible="1"/>
            </tree>
        </field>
    </record>

    <!--PRIMERO Formulario-->
    <record id="data_crm_form" model="ir.ui.view">
        <field name="name">crm.flujo.ventas.form</field>
        <field name="model">crm_flujo_nuevo_operaciones</field>
        <field name="arch" type="xml">
            <form string="Flujo de operaciones" class="o_opportunity_form">
            	<header>
                
                <button name="enviar_capacitacion_opera" string="Enviar Correo de capacitacion" type="object" 
                class="oe_highlight" attrs="{'invisible': ['|', ('active','=',False), ('probability', '!=', 70)]}"/>
        

                 <button name="enviar_finalizacion" string="Finalizar Instalacion" type="object" 
                class="oe_highlight" attrs="{'invisible': ['|', ('active','=',False), ('probability', '!=', 100)]}"/>
        

                <field name="stage_id" 
                       widget="statusbar"
                       options="{'fold_field': 'fold'}"
                       />


                </header>
            	<sheet>
                     <field name="active" invisible="1"/>
                        
                        <div class="oe_button_box" name="button_box">
                           
                        </div>

                        <div class="oe_title">
                            <label for="name" class="oe_edit_only"/>
                            <h1><field name="name" placeholder="e.g. Nombre oportunidad"/></h1>
                            <h2 class="o_row row no-gutters d-flex">
                                
                                <div class="col">
                                    <div class="o_row">
                                        <label for="crm_id" class="oe_inline"/>
                                        <field name="crm_id" />
                                    </div>
                                </div>
                                
                            </h2>
                        </div>
                        
                        <group>

                            <group>
                                <field name="razon_social" />
                                <field name="email_from" />
                                <field name="phone" />
                                <field name="mobile" />
                            </group>

                            <group>
                                <field name="street"/>
                                <field name="street2"/>
                                <field name="codigo_zip"/>
                                <field name="city"/>
                                <field name="state_id"/>
                                <field name="country_id"/>
                                
                            </group>

                            <group>
                                <field name="date_deadline"/>
                                <field name="codigo_dispositvio"/>
                            </group>

                            <group>
                                <field name="tag_ids" widget="many2many_tags" options="{'color_field': 'color', 'no_create_edit': True}"/>
                                <field name="priority" eval="100" readonly='1' />
                                <field name="user_id"/>
                                <field name="probability"/>
                            </group>

                            <group>
                                 <field name="vendedor_id" />
                                 <field name="fecha_capacitacion"/>
                                 <field name="email_capacitacion"/>
                            </group>
                         
                        </group>
                        
                        <notebook colspan="4">
                            <page string="Notas Internas">
                                <field name="description"/>
                            </page> 
                            <page string="Informacion Adicional">
                                <group>
                                    <group string="Información Inicial de Contacto">
                                         
                                    </group>
                                    <group string="Misc" >
                                        <field name="day_open" groups="base.group_no_one"/>
                                        <field name="day_close" groups="base.group_no_one"/>
                                    </group>
                                </group>
                                    
                            </page>  
                        </notebook>
            	</sheet>
                <div class="oe_chatter">
                    <field name="message_follower_ids" widget="mail_followers"/>
                    <field name="activity_ids" widget="mail_activity"/>
                    <field name="message_ids" widget="mail_thread" options="{'post_refresh': 'recipients'}"/>
                </div>

            
            
            </form>
        </field>
    </record>

    
    <record id="solicita_123_flujo" model="ir.actions.act_window">
    	<field name="name">Operaciones</field>
    	<field name="res_model">crm_flujo_nuevo_operaciones</field>
    	<field name="view_type">form</field>
    	<field name="view_mode">kanban,list,form</field>
        <field name="context">{}</field>
    </record>



     
    		    <menuitem
	            id="menu_flujo_operaciones_root"
	            name="Operaciones"
	            groups="crm_funel_venta_guip.supervisor_flujo_operaciones_group,crm_funel_venta_guip.gerente_flujo_operaciones_group"
                web_icon="crm_funel_venta_guip,static/description/icon.png"
                sequence="8"
	            />

                <menuitem
                    id="crm_menu_config_configu"
                    name="Configuracion"
                    parent="crm_funel_venta_guip.menu_flujo_operaciones_root"
                    sequence="25" 
                    groups="crm_funel_venta_guip.gerente_flujo_operaciones_group"/>

                <menuitem name="Flujo Operaciones" id="menu_flujo_crm_act" 
            	      parent="crm_funel_venta_guip.menu_flujo_operaciones_root"
                      groups="crm_funel_venta_guip.supervisor_flujo_operaciones_group,crm_funel_venta_guip.gerente_flujo_operaciones_group"
                      action="solicita_123_flujo"
                      sequence="2"/>
                
                <menuitem
                    id="menu_operaciones_lead_categ" name="Etiquetas Operaciones"
                    parent="crm_funel_venta_guip.crm_menu_config_configu"
                    groups="crm_funel_venta_guip.gerente_flujo_operaciones_group"
                    action="operaciones_lead_tag_action"
                    sequence="2"/>
                
    </data>
</odoo>